Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.http
Class HTTPServerInvoker

    java.lang.Object
      org.jboss.remoting.AbstractInvoker
          org.jboss.remoting.ServerInvoker
              org.jboss.remoting.transport.web.WebServerInvoker
                  org.jboss.remoting.transport.http.HTTPServerInvoker

All Implemented Interfaces:
  java.lang.Runnable, Invoker, ServerInvokerMBean

Direct Known Subclasses:
  HTTPSServerInvoker

Deprecated. This class has been replaced by org.jboss.remoting.transport.coyote.CoyoteInvoker, which is used as the default server invoker for the http and https transport on the server side. This class will be removed from remoting distribution in a future release.

    public class HTTPServerInvoker

extends WebServerInvoker
implements java.lang.Runnable

This is the stand alone http server invoker which acts basically as a web server. Server invoker implementation based on http protocol. Is basically a stand alone http server whose request are forwared to the invocation handler and responses from invocation handler are sent back to caller as http response.

Author:
  Tom Elrod

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.remoting.ServerInvoker
`ServerInvoker.InvalidStateException`

Nested classes/interfaces inherited from class org.jboss.remoting.AbstractInvoker
`AbstractInvoker.CallbackLocatorHolder`

Field Summary
`protected int` | `backlog` Deprecated.
`static java.lang.String` | `HTML` Deprecated.
`static java.lang.String` | `HTTP_KEEP_ALIVE_TIMEOUT_KEY` Deprecated.
`static java.lang.String` | `HTTP_THREAD_POOL_CLASS_KEY` Deprecated.
`protected int` | `keepAliveTimeout` Deprecated.
`static java.lang.String` | `MAX_NUM_HTTP_THREADS_KEY` Deprecated.
`static java.lang.String` | `PLAIN` Deprecated.
`static java.lang.String` | `SOAP` Deprecated.

Fields inherited from class org.jboss.remoting.transport.web.WebServerInvoker
`HEADER_SESSION_ID, HEADER_SUBSYSTEM`

Fields inherited from class org.jboss.remoting.ServerInvoker
`BLOCKING, BLOCKING_MODE, BLOCKING_TIMEOUT, callbackHandlers, CLIENT_CONNECT_ADDRESS_KEY, CLIENT_CONNECT_PORT_KEY, CLIENT_LEASE_PERIOD, clientCallbackListener, connectionNotifier, DEFAULT_BLOCKING_TIMEOUT, DEFAULT_CLIENT_LEASE_PERIOD, DEFAULT_TIMEOUT_PERIOD, handlers, INVOKER_SESSION_ID, MAX_NUM_ONEWAY_THREADS, MAX_NUM_ONEWAY_THREADS_KEY, MAX_ONEWAY_THREAD_POOL_QUEUE_SIZE, NONBLOCKING, ONEWAY_THREAD_POOL_CLASS_KEY, REGISTER_CALLBACK_LISTENER, registerCallbackListeners, SERVER_BIND_ADDRESS_KEY, SERVER_BIND_PORT_KEY, SERVER_SOCKET_FACTORY, serverSocketFactory, singleCallbackContainer, singleHandler, started, TIMEOUT`

Fields inherited from class org.jboss.remoting.AbstractInvoker
`classbyteloader, configuration, localServerLocators, locator, serializationType, socketFactory, socketFactoryCreatedFromSSLParameters`

Constructor Summary
`HTTPServerInvoker(InvokerLocator locator)` Deprecated.
`HTTPServerInvoker(InvokerLocator locator, java.util.Map configuration)` Deprecated.

Method Summary
`protected java.net.ServerSocket` | `createServerSocket(int serverBindPort, int backlog, java.net.InetAddress bindAddress)` Deprecated.
`org.jboss.util.threadpool.ThreadPool` | `getHTTPThreadPool()` Deprecated.
`int` | `getKeepAliveTimeout()` Deprecated.
`int` | `getMaxNumberOfHTTPThreads()` Deprecated.
`void` | `run()` Deprecated.
`void` | `setHTTPThreadPool(org.jboss.util.threadpool.ThreadPool pool)` Deprecated.
`void` | `setKeepAliveTimeout(int keepAliveTimeout)` Deprecated.
`void` | `setMaxNumberOfHTTPThreads(int numOfThreads)` Deprecated.
`void` | `setNewServerSocketFactory(javax.net.ServerSocketFactory serverSocketFactory)` Deprecated.
`protected void` | `setup()` Deprecated.
`void` | `start()` Deprecated. Subclasses should override to provide any specific start logic.
`void` | `stop()` Deprecated. Subclasses should override to provide any specific stop logic.

Methods inherited from class org.jboss.remoting.transport.web.WebServerInvoker
`createNewInvocationRequest, getContentLength, getDefaultDataType, getInvocationRequest, getMarshaller, getSessionId, getUnMarshaller, isTransportBiDirectional`

Methods inherited from class org.jboss.remoting.ServerInvoker
`addConnectionListener, addInvocationHandler, assignPort, create, createServerSocketFactory, destroy, getClientConnectAddress, getClientConnectPort, getConfiguration, getDataType, getDefaultServerSocketFactory, getInvocationHandler, getInvocationHandlers, getLease, getLeasePeriod, getMaxNumberOfOnewayThreads, getMBeanObjectName, getMBeanServer, getOnewayThreadPool, getServerBindAddress, getServerBindPort, getServerSocketFactory, getSupportedSubsystems, getTimeout, handleInternalInvocation, hasInvocationHandler, invoke, invoke, isLeaseActivated, isRegisterCallbackListeners, isStarted, justNeedsSSLClientMode, postProcess, preProcess, removeCallbackListener, removeConnectionListener, removeInvocationHandler, setClientConnectAddress, setClientConnectPort, setConfiguration, setLeasePeriod, setMaxNumberOfOnewayThreads, setMBeanServer, setOnewayThreadPool, setRegisterCallbackListeners, setServerSocketFactory, setTimeout, wrapServerSocketFactory`

Methods inherited from class org.jboss.remoting.AbstractInvoker
`addClientLocator, createSocketFactory, getClassLoader, getClientLocator, getClientLocators, getLocator, getSerializationType, getSocketFactory, isCompleteSocketFactory, isSocketFactoryCreatedFromSSLParameters, needsCustomSSLConfiguration, setClassLoader, setSerializationType, setSocketFactory, wrapSocketFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_NUM_HTTP_THREADS_KEY

    public static final java.lang.String MAX_NUM_HTTP_THREADS_KEY

  Deprecated.
  See Also:
    Constant Field Values

### HTTP_THREAD_POOL_CLASS_KEY

    public static final java.lang.String HTTP_THREAD_POOL_CLASS_KEY

  Deprecated.
  See Also:
    Constant Field Values

### HTTP_KEEP_ALIVE_TIMEOUT_KEY

    public static final java.lang.String HTTP_KEEP_ALIVE_TIMEOUT_KEY

  Deprecated.
  See Also:
    Constant Field Values

### backlog

    protected int backlog

  Deprecated.

### keepAliveTimeout

    protected int keepAliveTimeout

  Deprecated.

### HTML

    public static java.lang.String HTML

  Deprecated.

### PLAIN

    public static java.lang.String PLAIN

  Deprecated.

### SOAP

    public static java.lang.String SOAP

  Deprecated.

Constructor Detail

### HTTPServerInvoker

    public HTTPServerInvoker(InvokerLocator locator)

  Deprecated.

### HTTPServerInvoker

    public HTTPServerInvoker(InvokerLocator locator,
                             java.util.Map configuration)

  Deprecated.

Method Detail

### getKeepAliveTimeout

    public int getKeepAliveTimeout()

  Deprecated.

### setKeepAliveTimeout

    public void setKeepAliveTimeout(int keepAliveTimeout)

  Deprecated.

### setNewServerSocketFactory

    public void setNewServerSocketFactory(javax.net.ServerSocketFactory serverSocketFactory)

  Deprecated.

### setup

    protected void setup()
                  throws java.lang.Exception

  Deprecated.
  Overrides:
    `setup` in class `ServerInvoker`
  Throws:
    `java.lang.Exception`

### setMaxNumberOfHTTPThreads

    public void setMaxNumberOfHTTPThreads(int numOfThreads)

  Deprecated.

### getMaxNumberOfHTTPThreads

    public int getMaxNumberOfHTTPThreads()

  Deprecated.

### getHTTPThreadPool

    public org.jboss.util.threadpool.ThreadPool getHTTPThreadPool()

  Deprecated.

### setHTTPThreadPool

    public void setHTTPThreadPool(org.jboss.util.threadpool.ThreadPool pool)

  Deprecated.

### start

    public void start()
               throws java.io.IOException

  Deprecated.
  Description copied from class: `ServerInvoker`
  Subclasses should override to provide any specific start logic.

  Specified by:
    `start` in interface `ServerInvokerMBean`
  Overrides:
    `start` in class `ServerInvoker`
  Throws:
    `java.io.IOException`

### createServerSocket

    protected java.net.ServerSocket createServerSocket(int serverBindPort,
                                                       int backlog,
                                                       java.net.InetAddress bindAddress)
                                                throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### run

    public void run()

  Deprecated.
  Specified by:
    `run` in interface `java.lang.Runnable`

### stop

    public void stop()

  Deprecated.
  Description copied from class: `ServerInvoker`
  Subclasses should override to provide any specific stop logic.

  Specified by:
    `stop` in interface `ServerInvokerMBean`
  Overrides:
    `stop` in class `ServerInvoker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.